API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/dms/documents/bulk-action

POST/v1/dms/documents/bulk-action

Perform bulk operations on DMS documents

Request Body

NameTypBeschreibung
actionerforderlichstring
documentIdserforderlichstring[]
folderIdstring
tagsstring[]
documentTypeIdstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/dms/documents/bulk-action \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "action": "move",
  "documentIds": [],
  "folderId": "string",
  "tags": [],
  "documentTypeId": "string"
}'
const result = await cm.dms.post({
  "action": "move",
  "documentIds": [],
  "folderId": "string",
  "tags": [],
  "documentTypeId": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche